ancientforest

tried to browse some files in 3.7.94, but something went wrong
here's some log

C:\test>java -version
java version "1.8.0_333"
Java(TM) SE Runtime Environment (build 1.8.0_333-b02)
Java HotSpot(TM) Client VM (build 25.333-b02, mixed mode)

C:\test>java -jar skeletonViewer-3.7.94.jar
com.badlogic.gdx.utils.GdxRuntimeException: java.lang.NoSuchMethodError: java.nio.FloatBuffer.flip()Ljava/nio/FloatBuffer;
at com.badlogic.gdx.backends.lwjgl.LwjglApplication$1.run(LwjglApplication.java:135)
Caused by: java.lang.NoSuchMethodError: java.nio.FloatBuffer.flip()Ljava/nio/FloatBuffer;
at com.badlogic.gdx.graphics.glutils.VertexArray.<init>(VertexArray.java:59)
at com.badlogic.gdx.graphics.Mesh.<init>(Mesh.java:182)
at com.badlogic.gdx.graphics.Mesh.<init>(Mesh.java:153)
at com.badlogic.gdx.graphics.g2d.SpriteBatch.<init>(SpriteBatch.java:103)
at com.badlogic.gdx.graphics.g2d.SpriteBatch.<init>(SpriteBatch.java:80)
at com.badlogic.gdx.scenes.scene2d.Stage.<init>(Stage.java:100)
at com.esotericsoftware.spine.SkeletonViewer$UI.<init>(SkeletonViewer.java:419)
at com.esotericsoftware.spine.SkeletonViewer.create(SkeletonViewer.java:128)
at com.badlogic.gdx.backends.lwjgl.LwjglApplication.mainLoop(LwjglApplication.java:151)
at com.badlogic.gdx.backends.lwjgl.LwjglApplication$1.run(LwjglApplication.java:128)

JRE seems to be up-to-date, what should i do?
ancientforest
  • Messaggi: 2

Nate

You'll need a Java version >= 9. I've updated the Skeleton Viewer page. I suggest using the latest here, eg 18. No need to install anything, just unzip and run java.exe in the bin folder to start Skeleton Viewer.
Avatar utente
Nate

Nate
  • Messaggi: 12040

ancientforest

Nate ha scritto:You'll need a Java version >= 9. I've updated the Skeleton Viewer page. I suggest using the latest here, eg 18. No need to install anything, just unzip and run java.exe in the bin folder to start Skeleton Viewer.
thanks a lot, i'll check it out.

---

It worked! Much appreciated. Thank you.
ancientforest
  • Messaggi: 2


Torna a Editor